
.jump {
  animation: jump 1.5s infinite ease;
}
@keyframes jump {
  0% {
    top: 0;
  }
  50% {
    top: -40px;
  }
  100% {
    top: 0;
  }
}

.nip-coin {
  position: relative;
}
/*.nip-coin:active{
	animation: flip-vertical-right 0.4s cubic-bezier(0.215, 0.610, 0.355, 1.000) 1 forwards;
}*/
@keyframes flip-vertical-right {
  0% {
            transform: rotateY(0) scale(0.3);
            
  }
  100% {
            transform: rotateY(720deg) scale(0.3);
  }
}

.nip-coin .nip-front, .nip-coin .nip-back {
  position: absolute;
  height: 150px;
  width: 150px;
  background: #ffbd0b;
  border-radius: 50%;
  border-top: 7px solid #ffd84c;
  border-left: 7px solid #ffd84c;
  border-right: 7px solid #d57e08;
  border-bottom: 7px solid #d57e08;
  transform: rotate(44deg);
}
.pulse {
      animation: pulse 1.5s infinite;
    }

    @keyframes pulse {
      0% {
        box-shadow: 0 0 0 0 rgba(255, 215, 0, 0.7);
      }
      70% {
        box-shadow: 0 0 0 30px rgba(255, 215, 0, 0);
      }
      100% {
        box-shadow: 0 0 0 0 rgba(255, 215, 0, 0);
      }
}
.nip-front.activated{
    background: #a29c8a;
    border-top: 7px solid #e0d3ad;
    border-left: 7px solid #dfd0a4;
    border-right: 7px solid #675d3e;
    border-bottom: 7px solid #615d51;
    transform: rotate(44deg);
}

.nip-front.activated::before{
  background: #a29c8a !important;
    border-bottom: 5px solid #e0d3ad !important;
    border-right: 5px solid #e0d3ad !important;
    border-left: 5px solid #675d3e !important;
    border-top: 5px solid #615d51 !important;
}
.nip-coin .nip-front:before, .nip-coin .nip-back:before {
  content: "";
  margin: 35.5px 35.5px;
  position: absolute;
  width: 70px;
  height: 70px;
  background: #f0a608;
  border-radius: 50%;
  border-bottom: 5px solid #ffd84c;
  border-right: 5px solid #ffd84c;
  border-left: 5px solid #d57e08;
  border-top: 5px solid #d57e08;
  z-index: 2;
}
.nip-coin .nip-front .nip-currency, .nip-coin .nip-back .nip-currency {
  overflow: hidden;
  position: absolute;
  color: #ffbd0b;
  font-size: 40px;
  transform: rotate(-44deg);
  line-height: 3.7;
  width: 100%;
  height: 100%;
  text-align: center;
  text-shadow: 0 3px 0 #cb7407;
  z-index: 3;
  border-radius: 50%;
}
.nip-coin .nip-front .nip-currency:after, .nip-coin .nip-back .nip-currency:after {
  content: "";
  position: absolute;
  height: 200px;
  width: 40px;
  margin: 20px -65px;
  box-shadow: 50px -23px 0 -10px rgba(255, 255, 255, 0.22), 85px -10px 0 -16px rgba(255, 255, 255, 0.19);
  transform: rotate(-50deg);
  /**animation: shine 1.5s infinite ease;**/
}
@keyframes shine {
  0% {
    margin: 20px -65px;
  }
  50% {
    margin: 70px -85px;
  }
  100% {
    margin: 20px -65px;
  }
}
.nip-coin .nip-front .nip-shapes, .nip-coin .nip-back .nip-shapes {
  transform: rotate(-44deg);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.nip-coin .nip-front .nip-shapes div, .nip-coin .nip-back .nip-shapes div {
  width: 20px;
  height: 4px;
  background: #d57e08;
  border-top: 2px solid #c47207;
  margin: 75px 7px;
}
.nip-coin .nip-front .nip-shapes div:before, .nip-coin .nip-back .nip-shapes div:before {
  content: "";
  position: absolute;
  width: 20px;
  height: 4px;
  background: #d57e08;
  border-top: 2px solid #c47207;
  margin: -10px 0;
}
.nip-coin .nip-front .nip-shapes div:after, .nip-coin .nip-back .nip-shapes div:after {
  content: "";
  position: absolute;
  width: 20px;
  height: 4px;
  background: #d57e08;
  border-top: 2px solid #c47207;
  margin: 8px 0;
}
.nip-coin .nip-front .shape_l, .nip-coin .nip-back .shape_l {
  float: left;
}
.nip-coin .nip-front .shape_r, .nip-coin .nip-back .shape_r {
  float: right;
}
.nip-coin .nip-front .nip-top, .nip-coin .nip-back .nip-top {
  font-size: 30px;
  color: #d67f08;
  text-align: center;
  width: 100%;
  position: absolute;
  left: 0;
}
.nip-coin .nip-front .nip-bottom, .nip-coin .nip-back .nip-bottom {
  font-size: 30px;
  color: #d67f08;
  text-align: center;
  width: 100%;
  position: absolute;
  left: 0;
  bottom: 0;
}

